p {
	color: #6d6d6d;
}

a {
	text-decoration: none;
}

select {
	color: #6d6d6d;
	border-color: #c6c6c6;
}

svg {
	color: #886565;
}

.btn {
	color: #584141;
	background-color: #f3f3f3;
	border-color: #c6c6c6;
}

.btn-light:hover {
	background-color: #a97c7c;
	color: #f6ede3;
}

.hide-content {
	display: none;
}

/*------------------------------------------------*/
/* ------     STYLESHEET FOR MENU ITEMS    ------ */
/*------------------------------------------------*/
.show-login {
	display: block;
	position: fixed;
	z-index: 10;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: 40rem;
	height: max-content;
	margin: auto;
	box-shadow: 0 0 0 100vmax rgba(0,0,0,.7);
	pointer-events: all;
}

.bi-x-circle {
	position: absolute;
	right: 2rem;
	color: #886565;
}

#logoImage {
	height: 3rem;
	width: 3rem;
}

#brandName {
	font-family: Georgia, serif;
	color: #886565;
}

#reservationsLink, #contactUsReservation,
#reservationsLink:active, #contactUsReservation:active {
	padding: 0.3rem;
	margin: 0 0.1rem;
	font-size: small;
	color: #584141;
	outline: none;
	background-color: #faf2ee;
	border: 0.1em solid #bf9e9e;
}

#logInLink, #contactUsLink {
	padding: 0.2rem;
	margin: 0 0.1rem;
	font-size: small;
	color: #584141;
	outline: none;
	background-color: #faf2ee;
	border: 0.1em solid #bf9e9e;
}

#logInLink:active, #contactUsLink:active {
	padding: 0.2rem;
	margin: 0 0.1rem;
	font-size: small;
	color: #f6ede3;
	outline: none;
	background-color: #a97c7c;
}

#logInLink:hover, #contactUsLink:hover, #reservationsLink:hover, #contactUsReservation:hover {
	color: #f6ede3;
	font-size: small;
	background-color: #a97c7c;
}

#logInDiv {
	background-color: #cbbba9;
	padding: 1rem;
}

#loginHeader {
	font-family: Georgia, serif;
	font-size: 2rem;
	color: #9b7272;
}

#logInForm {
	padding: 2rem;
	width: 35rem;
}

#logInSubmitBtn {
	margin-top: 2rem;
}

#logInCloseBtn, #notifClose, #chatCloseBtn,
#logInCloseBtn:hover, #notifClose:hover, #chatCloseBtn:hover {
	background-color: transparent;
	border-color: transparent;
}

.invalid-entry {
	display: block;
	color: #d02b2b;
	font-size: small;
	margin-top: 1rem;
}
/* ------ END OF STYLESHEET FOR MENU ITEMS ------ */

/*------------------------------------------------*/
/* ------    STYLESHEET FOR MAIN HEADER    ------ */
/*------------------------------------------------*/
#mainRow {
	z-index: -5;
	background: #9b7272;
}

#mainHeadingDiv {
	float: right;
	text-align: right;
	z-index: 9;
	background-color: transparent;
	max-width: 42rem;
	margin: 2rem 1rem 2rem auto;
}

#mainHeader {
	color: #efe4d7;
	text-align: right;
	font-family: Georgia, serif;
	font-size: 7rem;
	font-weight: bold;
}

#mainSubtext {
	color: #f3f2f1;
	font-size: 1.5rem;
}

#headingDecoration {
	z-index: 3;
	float: left;
	width: max-content;
	overflow: hidden;
}

#circle1 {
	z-index: 8;
	position: absolute;
	color: #4787a5;
	width: 21rem;
	height: 21rem;
	margin: 2rem 0 0 33rem;
}

#circle2 {
	z-index: 7;
	position: absolute;
	color: #9f4a4a;
	width: 15rem;
	height: 15rem;
	margin: 13rem 0 0 18rem;
}

#circle3 {
	z-index: 6;
	position: absolute;
	color: #d2c0b2;
	width: 12rem;
	height: 12rem;
	margin: 11rem 0 0 10rem;
}

#subHeadingDecoration {
	position: absolute;
	z-index: 1;
	float: left;
	background-color: transparent;
	width: max-content;
}

#subCircle1 {
	position: absolute;
	z-index: 2;
	color: #d6bc7a;
	width: 10rem;
	height: 10rem;
	margin: 8rem 0 0 24rem;
}

#subCircle2 {
	position: absolute;
	z-index: 3;
	color: #eab42d;
	width: 5rem;
	height: 5rem;
	margin: 9rem 0 0 15rem;
}


/* ----- END OF STYLESHEET FOR MAIN HEADER ------ */

/*------------------------------------------------*/
/* -------  STYLESHEET FOR THREE COLUMNS  ------- */
/*------------------------------------------------*/
.card-title {
	color: #9b7272;
}

.card-subtitle {
	color: #b1b0b0;
}

.card.h-100:hover {
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#availabilityBtn1, #availabilityBtn2, #availabilityBtn3 {
	float: right;
}

#middleRow {
	padding: 2rem;
	margin-left: 1rem;
	margin-bottom: 4rem;
}
/* ----- END OF STYLESHEET FOR THREE COLUMNS ---- */

/*------------------------------------------------*/
/* ----- STYLESHEET FOR RESTAURANT INFO PAGE ---- */
/*------------------------------------------------*/
#restaurantInfo {
	margin: 2rem 0;
	border: none;
}

#restaurantLogo {
	border-radius: 50%;
}

#restaurantHeader {
	font-family: Georgia, serif;
	background-color: transparent;
	color: #6e5151;
}

#bookingBtn {
	border-color: #d0d0d0;
	height: 3rem;
}

#searchPropertiesBar {
	max-width: 50rem;
	margin: 4rem auto 0 auto;
}

#calendarInput {
	color: #6d6d6d;
	border-color: #c6c6c6;
	min-width: 8rem;
}

#timeInput, #peopleInput  {
	color: #6d6d6d;
	border-color: #c6c6c6;
}

#confirmationTitle, #notifTitle {
	margin-bottom: 1rem;
}

#restoName, #notifMessage,
.card-text.card-info {
	margin-left: 2rem;
	color: #8c7e73;
}

#confirmationForm {
	color: #926c6c;
}

#confirmationForm > label {
	margin-top: 1rem;
}

#confirmationClose {
	outline: solid transparent;
	background-color: transparent;
	border: solid transparent;
}

.show-confirmation {
	overflow: auto;
	display: block;
	position: fixed;
	padding: 2rem;
	z-index: 10;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	max-width: 40rem;
	height: max-content;
	margin: auto;
	background-color: #decebd;
	box-shadow: 0 0 0 100vmax rgba(0,0,0,.7);
	pointer-events: all;
}

.carousel.slide {
	max-width: 50rem;
	margin: auto;
}

.input-group-text {
	background-color: #E7DBCE;
}

.custom-select {
	border: 0.1em solid #c6c6c6;
}
/* - END OF STYLESHEET FOR RESTAURANT INFO PAGE - */

/*------------------------------------------------*/
/* ----- STYLESHEET FOR NOTIFICATIONS & ICON ---- */
/*------------------------------------------------*/
.show-notification {
	overflow: auto;
	display: block;
	position: fixed;
	padding: 2rem;
	z-index: 10;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	max-width: 40rem;
	height: max-content;
	margin: auto;
	background-color: #decebd;
	box-shadow: 0 0 0 100vmax rgba(0,0,0,.7);
	pointer-events: all;
}

.show-icon {
	overflow: auto;
	display: block;
	position: fixed;
	padding: 2rem 1.1rem;
	z-index: 19;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: max-content;
	height: max-content;
	margin: auto;
	background-color: #E7DBCE;
	border-radius: 50%;
	border-color: #584141;
	box-shadow: 0 0 0 100vmax rgba(0,0,0,.7);
	pointer-events: all;
}

#hourglass {
	color: #584141;
	margin: auto;
}
/* - END OF STYLESHEET FOR NOTIFICATIONS & ICON - */

/*------------------------------------------------*/
/* -----  STYLESHEET FOR RESERVATIONS PAGE   ---- */
/*------------------------------------------------*/
.booking-entry {
	margin: 2rem 0;
}
/* --- END OF STYLESHEET FOR RESERVATIONS PAGE -- */

/*------------------------------------------------*/
/* -------   STYLESHEET FOR CONTACT US    ------- */
/*------------------------------------------------*/
#contactUsDiv {
	padding: 3rem;
	background-color: #E7DBCE;
}

#contactTitleDiv {
	margin: 0 auto;
	max-width: 40rem;
	color: #4f4f4f;
}

#contactUsTitle {
	font-family: Georgia, serif;
	font-size: 3rem;
	color: #725454;
}

#contactForm {
	margin: 0 auto;
	max-width: 35rem;
}
/* -----   END OF STYLESHEET FOR CONTACT US  ---- */

/*------------------------------------------------*/
/* -------    STYLESHEET FOR CHAT BOT     ------- */
/*------------------------------------------------*/
.show-chat {
	overflow: auto;
	display: block;
	position: fixed;
	padding: 2rem;
	z-index: 12;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	max-width: 40rem;
	height: max-content;
	margin: auto;
	background-color: #decebd;
	box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.7);
	pointer-events: all;
}

#chatBotDiv {
	display: block;
	position: fixed;
	padding: 1.1rem 0.6rem;
	z-index: 11;
	bottom: 2rem;
	right: 2rem;
	max-width: 4rem;
	max-height: 4rem;
	margin: auto;
	border-radius: 50%;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	background-color: #ead8c4;
	color: #6e5252;
	pointer-events: all;
}

#chatBotDiv:hover{
	background-color: #584141;
}

#chatBtn {
	border: transparent;
	background-color: transparent;
}

#chatBtn:hover {
	color: #ead8c4;
}

#chatTitle {
	font-family: Georgia, serif;
	font-size: 2rem;
	color: #725454;
}

#chatForm {
	padding: 2rem;
}

#messageDisplay {
	min-height: 20rem;
}
/* -----    END OF STYLESHEET FOR CHAT BOT   ---- */

/*------------------------------------------------*/
/* -------     STYLESHEET FOR FOOTER      ------- */
/*------------------------------------------------*/
#footerDiv {
	padding: 1rem;
}
/* -----     END OF STYLESHEET FOR FOOTER    ---- */

@media (max-width: 900px) {
	/* MAIN HEADER */
	#circle1 {
		margin-left: 21rem;
		width: 15rem;
		height: 15rem;
	}

	#circle2 {
		width: 9rem;
		height: 9rem;
		margin-left: 8rem;
	}

	#circle3 {
		width: 8rem;
		height: 8rem;
		margin-top: 12rem;
		margin-left: 3rem;
	}

	#subCircle1 {
		width: 7rem;
		height: 7rem;
		margin-top: 13rem;
		margin-left: 19rem;
	}

	#subCircle2 {
		margin-top: 9rem;
		margin-left: 3rem;
	}

	#mainHeadingDiv {
		width: 33rem;
		margin-right: 1rem;
	}

	#mainHeader {
		font-family: Georgia, serif;
		font-size: 5rem;
		font-weight: bold;
	}

	#mainSubtext {
		color: #f3f2f1;
		font-size: 1rem;
	}

	/* SEARCH BAR */
	#searchPropertiesBar {
		max-width: 14rem;
	}

	#calendarInput {
		max-width: 10rem;
	}

	#timeInput, #peopleInput {
		width: 10rem;
	}

	#bookingBtn {
		width: 14rem;
	}
}

@media (max-width: 600px) {
	/* LOG IN FORM */
	#logInDiv {
		width: 32rem;
	}

	#emailInput, #passwordInput {
		width: 20rem;
	}

	/* MAIN HEADER */
	#headingDecoration {
		overflow: hidden;
	}

	#circle1 {
		margin-left: 10rem;
		width: 10rem;
		height: 10rem;
	}

	#circle2 {
		margin-left: 3rem;
		margin-top: 8rem;
		width: 8rem;
		height: 8rem;
	}

	#circle3 {
		margin-top: 5rem;
		margin-left: 0;
		width: 6rem;
		height: 6rem;
	}

	#subCircle1 {
		margin-left: 2rem;
		margin-top: 2rem;
		width: 5rem;
		height: 5rem;
	}

	#subCircle2 {
		margin-left: 20rem;
		height: 2rem;
		width: 2rem;
	}

	#mainHeadingDiv {
		width: 20rem;
	}

	#mainHeader {
		font-family: Georgia, serif;
		font-size: 3rem;
		font-weight: bold;
	}

	#mainSubtext {
		color: #f3f2f1;
		font-size: 1rem;
	}

	/* SEARCH BAR */
	#searchPropertiesBar {
		max-width: 14rem;
	}

	#calendarInput {
		max-width: 10rem;
	}

	#timeInput, #peopleInput {
		width: 10rem;
	}

	#bookingBtn {
		width: 14rem;
	}
}